package org.springblade.modules.business.entity;

import org.springblade.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;

/**
 * 门店表实体类
 *
 * @author zzyd
 * @since 2024-07-15
 */
@Data
@TableName("t_shop")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Shop对象", description = "门店表")
public class Shop extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	* 门店名称
	*/
	@NotBlank(message = "请输入门店名称")
	@ApiModelProperty(value = "门店名称")
	private String storeName;
	/**
	* 门店图片
	*/
	@ApiModelProperty(value = "门店图片")
	private String storeImage;
	/**
	* 门店地址
	*/
	@ApiModelProperty(value = "门店地址")
	private String address;
	/**
	* 经度
	*/
	@ApiModelProperty(value = "经度")
	private Double longitude;
	/**
	* 纬度
	*/
	@ApiModelProperty(value = "纬度")
	private Double latitude;
	/**
	* 所属商家id
	*/
	@ApiModelProperty(value = "所属商家id", hidden = true)
	private Long merchantId;
	/**
	* 店长姓名
	*/
	@ApiModelProperty(value = "店长姓名")
	private String managerName;
	/**
	* 店长电话
	*/
	@ApiModelProperty(value = "店长电话")
	private String managerPhone;
	/**
	* 营业状态 1-营业中 0-已歇业
	*/
	@ApiModelProperty(value = "营业状态 1-营业中 0-已歇业")
	private Integer businessStatus;
	/**
	* 营业执照
	*/
	@ApiModelProperty(value = "营业执照")
	private String businessLicence;


}
